Patchwork D6074: hghave: skip emacs tests on 24.3 and earlier

login
register
mail settings
Submitter phabricator
Date March 5, 2019, 1:46 p.m.
Message ID <c2bf11620487d949a5e1d9739b19686e@localhost.localdomain>
Download mbox | patch
Permalink /patch/39062/
State Not Applicable
Headers show

Comments

phabricator - March 5, 2019, 1:46 p.m.
This revision was automatically updated to reflect the committed changes.
Closed by commit rHG28842adf8ed5: hghave: skip emacs tests on 24.3 and earlier (authored by durin42, committed by ).

REPOSITORY
  rHG Mercurial

CHANGES SINCE LAST UPDATE
  https://phab.mercurial-scm.org/D6074?vs=14353&id=14356

REVISION DETAIL
  https://phab.mercurial-scm.org/D6074

AFFECTED FILES
  tests/hghave.py

CHANGE DETAILS




To: durin42, #hg-reviewers
Cc: mercurial-devel

Patch

diff --git a/tests/hghave.py b/tests/hghave.py
--- a/tests/hghave.py
+++ b/tests/hghave.py
@@ -825,4 +825,7 @@ 
 
 @check('emacs', 'GNU Emacs')
 def has_emacs():
-    return matchoutput('emacs --version', b'GNU Emacs')
+    # Our emacs lisp uses `with-eval-after-load` which is new in emacs
+    # 24.4, so we allow emacs 24.4, 24.5, and 25+ (24.5 was the last
+    # 24 release)
+    return matchoutput('emacs --version', b'GNU Emacs 2(4.4|4.5|5|6|7|8|9)')